Bug 259445 - devel/py-setuptools_scm: Update to 6.3.2
Summary: devel/py-setuptools_scm: Update to 6.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/pypa/setuptools_sc...
Keywords:
Depends on: 258033
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-25 20:32 UTC by Po-Chuan Hsieh
Modified: 2021-11-12 11:36 UTC (History)
1 user (show)

See Also:
kai: maintainer-feedback+
kai: merge-quarterly-


Attachments
py-setuptools_scm-6.3.2.patch (2.20 KB, patch)
2021-11-09 08:43 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-10-25 22:39:07 UTC
6.3.3 may be out soon

There's been several dependency and dependency version changes (toml -> tomli among others), so keep an eye out to match all these
Comment 2 Kai Knoblich freebsd_committer 2021-10-26 11:26:48 UTC
(In reply to Po-Chuan Hsieh from comment #0)

Thank you for the patch, I started with the QA and if everything looks good, the 6.3.2 (or 6.3.3) release should be in the Ports tree soon.

One question: Is there a reason why ${TEST_WRKSRC} is changed back to ${WRKSRC}? (for reference, please see https://wiki.freebsd.org/Python/PortsPolicy#Tests)

(In reply to Kubilay Kocak from comment #1)

The 6.x release contains too much changes in contrast to the 5.x release and it also has some dependency changes, so I'd refrain to do a MFH.
Comment 3 Po-Chuan Hsieh freebsd_committer 2021-10-28 18:30:28 UTC
(In reply to Kai Knoblich from comment #2)

> One question: Is there a reason why ${TEST_WRKSRC} is changed back to ${WRKSRC}? 

I would only use TEST_WRKSRC when it differs from WRKSRC. I see no real benefit to use TEST_WRKSRC over WRKSRC in a specific port.

It is meaningful to use TEST_WRKSRC in the framework (e.g. USES=foo) or a shared Makefile/script used by many ports because it provides the flexibility to fit various conditions.
Comment 4 Kai Knoblich freebsd_committer 2021-11-09 08:43:54 UTC
Created attachment 229375 [details]
py-setuptools_scm-6.3.2.patch

Attached is a rebased patch of sunpoet@'s original patch with a small addition to get a working testsuite.  The testsuite makes use of devel/py-virtualenv but requires a more recent version of it.  This will be noted explicitly in the next release of devel/py-setuptools_scm:

https://github.com/pypa/setuptools_scm/commit/b2a2e3982d0c0ba31d902e68b94b9bded3cbe13a

The tests that use virtualenv works fine with a local version of virtualenv.  By the way, the TOML option will diseappear with the next release as well:

https://github.com/pypa/setuptools_scm/commit/0d3d694930e85b2277c148c7b02b1f4e29b2a79e

I still need some time for QA and if everything goes well, setuptools_scm 6.3.2 should land to the end of this week.

(In reply to Po-Chuan Hsieh from comment #3)

Thanks for the pointers!
Comment 5 commit-hook freebsd_committer 2021-11-12 11:29:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=49540e2bf14bd4553e050ca2663e06c2a50c80aa

commit 49540e2bf14bd4553e050ca2663e06c2a50c80aa
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-11-12 11:16:32 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-11-12 11:16:32 +0000

    devel/py-setuptools_scm: Update to 6.3.2 [1]

    * Sort variables and use WRKSRC instead TEST_WRKSRC as the latter should
      be only used if it differs from WRKSRC. [1]

    * Exclude some tests that require a more recent version of
      devel/py-virtualenv for now.

    Changelog since 5.0.2:

    https://github.com/pypa/setuptools_scm/blob/v6.3.2/CHANGELOG.rst

    PR:             259445
    Reported by:    sunpoet [1]
    MFH:            No (feature release with new dependencies)

 devel/py-setuptools_scm/Makefile | 19 ++++++++++++-------
 devel/py-setuptools_scm/distinfo |  6 +++---
 2 files changed, 15 insertions(+), 10 deletions(-)
Comment 6 Kai Knoblich freebsd_committer 2021-11-12 11:36:44 UTC
Committed, thanks!